# Generated by Django 5.0.4 on 2024-06-14 09:42

from __future__ import annotations

from typing import Any

from django.apps.registry import Apps
from django.db import migrations

from hc.lib.tz import legacy_timezones


def fix_tz(apps: Apps, schema_editor: Any) -> None:
    Check = apps.get_model("api", "Check")
    for old, new in legacy_timezones.items():
        Check.objects.filter(tz=old).update(tz=new)


class Migration(migrations.Migration):
    dependencies = [
        ("api", "0106_fix_tz_kiev_kyiv"),
    ]

    operations = [migrations.RunPython(fix_tz, migrations.RunPython.noop)]
